# gio.FilterInputStream

Filter Input Stream

## Synopsis

gio.FilterInputStream
gio.InputStream
get_base_stream
get_close_base_stream
set_close_base_stream
close_base

## Ancestry

    +-- gobject.GObject
      +-- gio.InputStream
        +-- gio.FilterInputStream

## gio.FilterInputStream Properties

> "base-stream" | Read - Write - Construct only | The underlying base stream on which the io ops will be done.
> "close-base-stream" | Read - Write - Construct only | If the base stream should be closed when the filter stream is closed. Default value: `True`.

## Description

Filter Input Stream.

## Methods

### gio.FilterInputStream.get_base_stream

                    get_base_stream

Returns :

  A `gio.InputStream`

The `get_base_stream`() method gets the base stream for the filter stream.

### gio.FilterInputStream.get_close_base_stream

                    get_close_base_stream

Returns :

  `True` if the base stream will be closed.

The `get_close_base_stream`() method returns whether the base stream will be closed when stream is closed.

### gio.FilterInputStream.set_close_base_stream

                    set_close_base_stream
                    close_base

`close_base` :

  `True` to close the base stream.

The `set_close_base_stream`() method sets whether the base stream will be closed when stream is closed.